[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.TextChanged

Performs actions needed when the CM_TEXTCHANGED control message is handled for the control.

## Declaration

Source position: buttons.pp line 203

`protected procedure TCustomBitBtn.TextChanged; override;`

## Description

TextChanged is an overridden method in TCustomBitBtn. It ensures that the control is updated when the value in the Caption property has been changed. AdjustSize is called to auto-size a visible control and its parent. The value in DefaultCaption is set to False after the new value has been assigned for the Caption property.

## See also

TControl.TextChanged |  | Performs actions needed when the value for the Text property has been changed.